import 'package:analyzer/dart/element/element.dart';
import 'package:meta/meta.dart';
import 'package:source_gen/source_gen.dart';

extension IsRequired on ParameterElement {
  static TypeChecker c = TypeChecker.fromRuntime(Required);

  bool isReallyRequiredNamed() {
    if (!this.isNamed) {
      return false;
    }
    if (this.metadata.isEmpty) {
      return false;
    }
    var d = c.firstAnnotationOf(this);
    return d != null;
  }
}
