import 'package:flutter/material.dart';
import 'package:zrouter/annotations.dart';

@ScreenRoute(
    "zhihu://answer/{answer_id}?{uid}&{sample_id}=>https://zhihu.com/{uid}/answer/{answer_id}?{sample_id}")
class RedirectScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("RedirectScreen"),
      ),
      body: Center(
          child: Text(
        'this is RedirectScreen',
      )),
    );
  }
}

@ScreenRoute(
    "zhihu://answer2/{answer_id}?{uid}&{sample_id}=>https://zhihu.com/{uid}/answer2/{answer_id}?{sample_id}")
class RedirectNamedScreen extends StatelessWidget {
  String answer_id;
  String uid;
  String sample_id;

  RedirectNamedScreen(
      {@required this.answer_id, @required this.uid, @required this.sample_id});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("RedirectScreen"),
      ),
      body: Center(
          child: Text(
        'this is RedirectScreen',
      )),
    );
  }
}
