/// 用它来生成页面路由
class ScreenRoute {
  /// 路由，可以定义为一条或者多条，可以是 String 或者 Set<String>，不能是其他类型
  final dynamic route;

  /// 路由参数的正则限制
  final Map<String, String> paramReg;

  /// 路由的优先级，越高排在越前面
  final int priority;

  const ScreenRoute(this.route, {this.paramReg = const {}, this.priority = 100});
}

/// 用它来生成整体路由，全局只应该有一个类有此注解
class AppRoutes {
  const AppRoutes();
}
