import 'package:flutter/material.dart';
import 'package:zrouter/annotations.dart';

@ScreenRoute("zhihu://cons/params?{intValue:int}&{stringValue?}&{doubleValue?:double}&{boolValue?:bool}")
class ConstructorScreen extends StatelessWidget {
  int intValue = 0;
  String stringValue = "";
  String fromOld = "No";
  double doubleValue = 0;
  bool boolValue = false;

  ConstructorScreen.old(
      {@required this.intValue,
      this.stringValue,
      this.doubleValue,
      this.boolValue}) {
    this.fromOld = "old";
  }

  ConstructorScreen();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("ConstructorScreen"),
      ),
      body: Center(
          child: Text(
        'this is ConstructorScreen',
      )),
    );
  }
}
@ScreenRoute("zhihu://cons/params2?{intValue:int}&{stringValue?}&{doubleValue?:double}&{boolValue?:bool}")
class Constructor2Screen extends StatelessWidget {
  int intValue = 0;
  String stringValue = "";
  double doubleValue = 0;
  bool boolValue = false;
  String fromCons = "No";

  Constructor2Screen({@required this.intValue,
    this.stringValue,
    this.doubleValue,
    this.boolValue}) {
    fromCons = "Yes";
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Constructor2Screen"),
      ),
      body: Center(
          child: Text(
        'this is Constructor2Screen',
      )),
    );
  }
}

@ScreenRoute("zhihu://cons/method/{i:int}?{str}")
Widget getMyWidget({String str, @required int i}) {
  return Text("${str}_$i");
}

class FunctionScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("FunctionScreen"),
      ),
      body: Center(
          child: Text(
        'this is FunctionScreen',
      )),
    );
  }
}
