import 'package:flutter/material.dart';
import 'package:zrouter/annotations.dart';

@ScreenRoute("zhihu://double/first?{uid}")
@ScreenRoute("zhihu://double/second?{ps}")
class DoubleRouteScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("DoubleRouteScreen"),
      ),
      body: Center(
          child: Text(
        'this is double route screen',
      )),
    );
  }
}

@ScreenRoute({"zhihu://multi/first?{uid}", "zhihu://multi/second?{uid:int}"})
class MultiRouteScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("MultiRouteScreen"),
      ),
      body: Center(
          child: Text(
        'this is double route screen',
      )),
    );
  }
}
