import 'package:flutter/widgets.dart';
import 'package:zrouter/annotations.dart';

@ScreenRoute("zhihu://lives/{live_id}?{type}&{user}&{admin?}",
    paramReg: const {
      "live_id": "\\d+", //只能是数字
      "type": r"comments", //type 必须是 comments
      "user": r"^(?!peter$).*", // user 必须不是 peter。^(?!peter$).* 表示不能是 peter,
      "admin": r'^(?!.*$).*', // admin 不匹配任何字符串，也就是说不能传这个参数
    },
    priority: 102)
class ParamRegScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Text("ParamRegScreen");
  }
}

@ScreenRoute("zhihu://livess/{live_id}?{type}&{user}&{admin}", paramReg: const {
  "live_id": "'sss",
  "type": '"dsds"',
  "user": '"dsds"s \\\'ss\\\' s',
  "admin": 'simp\$le',
})
class ParamRegBuildScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Text("ParamRegScreen");
  }
}
