import 'package:flutter/material.dart';
import 'package:zrouter/annotations.dart';

@ScreenRoute("zhihu://priority/test", priority: 99)
class FirstPriority extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("MainPriority"),
      ),
      body: Center(
          child: Text(
        'this is MainPriority',
      )),
    );
  }
}


@ScreenRoute("zhihu://priority/test", priority: 101)
class SecondPriority extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("LibPriority"),
      ),
      body: Center(
          child: Text(
            'this is LibPriority',
          )),
    );
  }
}
