import 'package:flutter/material.dart';
import 'package:zrouter/resolver/match_result.dart';
import 'package:zrouter/router.dart';

Result resolve(String url) {
  MatchResult result = Router.resolve(url);
  if (result == null) {
    return null;
  }
  Widget wid = result.builder(result.arguments);
  return Result(wid, result.arguments);
}

class Result {
  Widget widget;
  Map args;

  Result(this.widget, this.args);
}
